# MetaboDirect
MetaboDirect is a comprehensive pipeline for the analysis of Direct Injection Mass Spectrometry (DI-MS) data.

## Installation

Metabodirect can be obtaining by cloning this repository

```
git clone https://github.com/Coayala/MetaboDirect.git
```

MetaboDirect requires Python (3.5 and above), R (4 and above) and Cytoscape (3.8 and above) with the following libraries/modules:

### Python

- argparse
- numpy
- pandas
- seaborn
- more-itertools
- py4cytoscape

### R

- tidyverse
- RColorBrewer
- vegan
- ggnewscale
- ggpubr
- vegan
- KEGGREST
- factoextra
- UpSetR
- pmartR (for normalization tests)

### Cytoscape

- FileTransfer

## Usage

Information about the arguments can be obtaining using the option -h/--help

```
./run_metabodirect.py -h
```
For more information please check the [User Manual](https://coayala.github.io/MetaboDirect/).


